#include "zonefile_cod4_ps3.h"

#include <QFile>
#include "xdatastream.h"
#include <QDebug>

ZoneFile_COD4_PS3::ZoneFile_COD4_PS3()
    : ZoneFile()
{
    pSetType(2, ASSET_TYPE_XANIMPARTS);
    pSetType(3, ASSET_TYPE_XMODEL);
    pSetType(7, ASSET_TYPE_MATERIAL);
    pSetType(9, ASSET_TYPE_TECHNIQUE_SET);
    pSetType(12, ASSET_TYPE_COL_MAP_SP);
    pSetType(14, ASSET_TYPE_D3DBSP);
    pSetType(15, ASSET_TYPE_GAME_MAP_SP);
    pSetType(18, ASSET_TYPE_SOUND);
    pSetType(19, ASSET_TYPE_WEAPON);
    pSetType(27, ASSET_TYPE_FX);
    pSetType(18, ASSET_TYPE_GFX_MAP);
}

ZoneFile_COD4_PS3::~ZoneFile_COD4_PS3() {

}

bool ZoneFile_COD4_PS3::Load(const QByteArray aFileData) {
    return true;
}
